%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/coreos/go-systemd
Version:                22.5.0

%gometa

%global goaltipaths     github.com/coreos/go-systemd/v22

%global common_description %{expand:
Go bindings to systemd. The project has several packages:

 - activation - for writing and using socket activation from Go
 - daemon - for notifying systemd of service status changes
 - dbus - for starting/stopping/inspecting running services and units
 - journal - for writing to systemd's logging service, journald
 - sdjournal - for reading from journald by wrapping its C API
 - login1 - for integration with the systemd logind API
 - machine1 - for registering machines/containers with systemd
 - unit - for (de)serialization and comparison of unit files
}

%global golicenses      LICENSE NOTICE
%global godocs          examples CONTRIBUTING.md README.md code-of-conduct.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go bindings to systemd socket activation, journal, D-Bus, and unit files

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d dbus \
         -d import1 \
         -d internal/dlopen \
         -d journal \
         -d login1 \
         -d machine1 \
         -d sdjournal \
         -d util
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.5.0-1
- initial build
